Calculate Linux - Bug # 354: DB—D°D3NENfD-P°D° Ne software raid 5

Status: Closed Priority: Normal

Author: Daeb°D°Nb bV, Dip¥%NEDYDD DY  |Category: Calculate Utilities

Created: 08/20/2011 Assignee:

Updated: 11/02/2011 Due date:

Subject: D—D°D3NENfD-P°P° Ne software raid 5

Description: D' D¢NEDYD DYD»DIDUDY:D D, NPubviN¢ http://gentoo.ru/node/22443 , D¢ D¥b¢ NN,D°D»NeNe

NfReN,D°Dv:D%D2D N,NE cds BY:D° software raids.

DYDP¥%N-D»bp  D-D°DDUNENDUDYD Ne  D2NPD ¢ DYD»DYDUbY2D Ne  DoDYDYD DD N DYaD°
NfReN,D°DY:D¥D2DNf NeD¥D¥D+N%eD°DuN,NeNe DY NfND¢DuNDY2D¥Dr NfNeN,DDY2DY4D2DD
DYDY D¢ DYaNeD»Du B¢ DUNEDUD-D°D ¢ NfND°D° - No bootable device

History

08/20/2011 11:05 am - DeeD°PN+D DB, DiD¥%NEDYIDD DYs
D2DuNEND,Ne DD NeN,NED D£NfN,D,D2D° - cds-11.6.1-i686.is0

08/20/2011 06:43 pm - Beeb,N...D°D,D» D“D°D3D°NfD-
D—b°D3NENFD-B,N,DuNNE Ne LiveCD
D2ND¢ D¥D»DY2D, N,Du chroot B2 NfNeN,D°DY%D¥D2D»Dub¥:pY:NfNZ Neb NeN DubviN f
DY:DUD ¢ D¥NNEDUD NN, D2DubY:2DY2D¥: B2 chroot B2ND¢ D¥:D»DY2D, N, D
<pre><code class="sh">for d in /dev/sd[abcd]; do
grub2-install $d
done

</code></pre>

PS
D8N, P¥%D+ D¢ D¥%D°D°D-D°N.NE D2D°ND, B DubN«N,D2D Ne, D»NfNENDu D, NeD ¢ DYD»NED-D¥:D2D°N,NE DY:Du NebB¥aN«b: N"D¥N,N¢, B°
"DoNfN«D°D, D°P¥:D D°":/help/wiki_syntax_detailed.html#13

08/20/2011 07:46 pm - BDeeD,N...D°D D» D“D°D3D°NfD-
h3. 2 Deb°b°N«D DY, DiD¥%NEDYDD DYs

DYNED, NfNeND°DY:D¥D2DPu DY:D° soft-raid (B¥%N,D»D NiD¥%:Nd: B¥N, mirror) NfNeN,NED¥DINN,D2DY: *mdN* N,D,D-D N+DuN«pop,
*NED°D-DNEDYND°DYDYs DeD¥ NED°D-DYNDY: DD, NeDoD°DYst (D DYNEPYNZ, D'D°DIDu D¢D¥% D P°NEND NTD,NebYs DY:D°
NeD°D-DYNN... DIDUNN,DD N... DD NeD°D°N...) D, *D-D°DNENFD-N1D D DY%DUDYDN...D¥:D D DYDY NeN,D°D2D N,NE* D%bu BY:D°
NeD°DY: DY:D°NeNeD,D?, B° DY%DuD ¢ DYNNEDUD NN, D2DUDY2DY:DYs *DY:D° B¢ DUNED2RD! DIDUNeN,DD D! B'D,Neb%*, D»D D+D¥(N1N DY4
D»NfNENBL) DYD° D2NDu DIDUN-N,D°D B B D ND°D .

DPY%D-DYDYDIDY:DY:  NNDb%  DND-D¥%DDuN,  Dv:DUPD¥%NPYNENDY  D¥UN-D»DY%DIDY:DubY:D Ne.  BD'Neby N DP°PD,
*D-D°DNENFD-NtD P° NeN,p°D2D N,NeNe B2 D¢PuNepNdr Nebpup°ND¥%NE DD Neb°P*, D° D2 NeD»NfNiD°Pu DBuND»Db, raid
NeP°D-DDUNEDYNFN,  DY%BUD: DYNNEDUD NeN,D2DUD%:DY:DYs  B%D°  Neb°PYD N... DD .NepoD°N..., *NeNP%N, NeDub°N D¥NE
D+NfD BN, B,Neb; D¥D»NED-D¥:D2D°DYs* D2 raid-Dy.

DYNED, Neb¥%D-D'D°P%D D, raid5, Ne D¢D%NeNNfD¢D.D» DY%DUDYD%DYDMDY: Deb¥% D NENFDBDLDYNS - NeD¥%D-D'D°D» DVP°
DY:bub¥D+N...D¥%D D PYNK... DD Nb°D°N... D¢D°NEND N1D,NZ (B DD NfN-N.D.DYs D PUNED2NFNZ) D, D-D°D'D°D» Bubt N,D D¢
*fol*,

D NfDTBu B-D°DNENFD-N1D, DO NfNeN,D°DY%D°D2D»D, D2D°D» DD°P° D+ND»D¥: NfDoD°D-D°DY2D¥: D2N«N"By.

bsNeN,D°N,D,, B°

51

08/20/2011 08:03 pm - DeD°D°Neb DY DiP¥NEDYDD DYs
- File DENN,D°DY:D¥:D2D°D°_D3NENfD+D°_D¥p°_P2Nebu_N...D°NED N<_.png added

N,D°D¥:N,D°NeN,D,D°D°. D2D¥%N, B, DY:DuDY:DY:D¥4 B D- B-D° N,D¥%D30% NiN,D¥, D°D°De D2 NeDD°D-D°D»D, “NED°D-D+NEDYNDDY:DYs
D¢ DY NED°D-DY%NDEYs DD, NDD°DYs", Ne DYDU DY4D¥:D? D¢ D¥:D2DUNED N,NE, NiN,D¥: D2 D NED D%NTD Dby B-D°D3NENfD-DP° Ne
softvare raid 5, NeD%D-D'D°DY:DY:D¥DDY% ND°P°D BYs B¥%D+NEDD-DYDY (D DYDUD:D%DY: D.D- D'D,NDP¥%D2, B° BYbu
NED°D-D DUb»D¥:D2 Bv:D° DD N...) - D2D¥D-DY.D¥:DIDY:D°.

DZD DY%D°D°D¥s, DYD° N,D¥ DYDY: D2D DD DY4D¥% b, grub2.

DYD¥N«D»Du D2RD¢ D¥D»D%DuDYD Ne NfNeN,D°DY:D¥:D2D°D, D3NED°D+D° BY:D° P2Nebu N...D°NED'N¢ (D,D-D2D P¥%D NPy, D»D¥:D3
D¥%D:N-NNE B2 NP°PP¥%DY: DBDPDPu - DPp° PRNDNEPNNE DD 5D RNENNFDD»DD,  NPupoNeN,DYDYs
NeD¥D DUNEDTD, DY4D¥DU DoD¥DYNDYD»D, BY%DU D¢, NED D NfDY4D°D»), grub B-D°D3NENfD-D D»NeNe.

08/20/2011 08:09 pm - PeD°D°N+D DY, DiP¥NEDYLDD DYs

- File N,PubD»_D¢NED, D-D°D3NENfD-D°Pu.png added

DiN,D¥%D¢! D¢ D¥NeD:DuN"D, D>

DYD¥%NEN,D, B-D°D3NENFD-D,D»D°NNCE. root D¢ D¥aN,DUNEND»NeNe,

Is /dev/

Dv:bu DYN,DY:DENED DD DN, NfNeN,NEDY:DNN,D2D° /dev/imd*.

DYD¥%D D DUNEDTDD° raid D2 Neb NEBU DYiDY:D NfD»Dubvs? B~ DuNeb»D, D'D°, NP¥% D¢ P¥%N...D%bIBY, NiN DY DYDYD, BuN%.N:
DY:bu D-D°D3NEN FDIDPDY2N<

08/22/2011 03:23 pm - Peb,N...D°D b» D“D°DD°Nfb-
DYDP°NED D¥:DYs, D2N+DUNED® D+ND»D¥: DY¥D°D¢ D, NeD°DY2D¥: D3PYNEDD-D'DYs D+D¥%D»NEN DY, DYDY D D--D-D° D3P»NZD°D° BY4P°
NeDuUNED2DUNEDU B¥N, D¢ KED°D2D D»D¥4NNE N,D¥:D»NED°DYs NeN,DVa.

DD¢D-Ds.
D2DYs  DePbuNEDNN... - Dvbu DB¥%D°D'P¥% DN D°D2D»NeN,NE RNeDUNeD:N'D¥NNc¢. D-DEDZ Debe DYD DD'D"D>D-D+D7.
B Neb¢ D¥:D»NED-NfDIN,Du D2D NepuD NE <D'N+N,D°D2D°p° PP¥D D> D¢ D¥:D NEPYD+DYDYaNeN,D,

"N,NfN,":/help/wiki_syntax_detailed.html

D'D¥% DN DYNENN... - DuReD»D, B, Neb D¥D»NED-NfDuN,Du mdadm, N,D¥ B¥%D°NeN,D¥:NN,Dub»NEDY:DY: NEDUD°DY:DY:DuDY2D NfNZ
D¢PYD2DUNEN...  NeNP°D2D NNE Ivm. B° ReND%  NeD¥%DDuN, D¥ND%DYDDDY:DYND!  PY:D°  DYDY%DUDY:D D,
D2NDPDYsD¥:D3NFN%D N... D DYNDUNEDYDUN,DY:D? (D¢ NEDY:N%DU D3DYD2DYNENe - D3 Py DY mdadm NiD,N.D°D», D2DUD-D DU

N+b¥:D2DuN,NfNZR,), B, D2 B¢ NED BY:NTD, D¢ DU - NeD¥%:D2DpN, B NED°D2D D»NEDY:ND?,
ok N,NebuN,NED N..., Db NeD°N,D2NED2Du mdadm raid D¥N,D»D N1DYaN DL DN, D-DUNEDD°D»DD,
DY:DUD ¢ D¥NNEDPD NeN,D2DpbY:DY2D¥: BY:D° N...D°NED’

Dib¥%b-D'D°PN,Du B D»Ns NeN,D¥D3D¥: DY2D° DD°DID D¥:DY4 N...D°NED B NED°D-D Dub» (BY4D¥:D1DY:D¥: BY:D° D2DUNNE N...D°NED")
DD PPINDu Pub%Nf ND.DPe *d* D-NP¥% D, DP%NDD¥D+D¥%D DN, DPW%NfD»DubD¥%bl NeBub°N,D¥%NE DD DID D¥D3D¥s

N..D°NED'D° B¢ D¥%D” D-D°DNENFD-N1D B°, B, B¥D+D»DubNtD N, NfN,D,D»D N,D°PYs D¢ D¥D NeD° NeN,D¥%:D3D% raid-D° (NeDubNiD°Ne
D¥DYD, NeD°DY:D, DY2D°N...D¥D NeN,, DY:D¥ DYsD°D»D¥s D»D, NiN DY BDuN%.bu D+NfD DuN,)

D"D°D»NENDU B¥%D° NeND¥DYs raid-Bu NfNeN,D°DY¥:D¥%:D2D Ny LVM, D, P%D° B¥%bubY NfDTbu Neb¥%D-D'D°D2D°DiN,bu D2N+bu
DYDUP¥D+N...D¥D D DYNDu D¢ D°NEN,D NTD.D,, Ne NeD Bub»D°D» N,p°P°

/devimy_VG/SWAP

/dev/imy_VG/root_${date +%Y%m%d}

/devimy_VG/_var_log

/devimy_VG/_var_calculate
D' NfpYD°NZ NiND¥% D, D'D»Ne NiDup3d¥% - DYUDNENN-D%NNNE D%bu D%P°D'DY%: (NeND¥ D¢PuNEDN®! D¢D»NZNe
B NeD¢ D¥%D»NED-D¥D2D°DY:D Ne LVM)

D'NP¥%NEDYDT DeP»NZNe, NiND¥: D2N¢ DYD¥:DIDUN,Du D¥%ND°D2D NNE DY%D° VG NeDD¥:D1D¥%:D D%D¥:Du DY:DuUN-NDY: D’
D D°Dr»NEDY%DUDINDUDYs  DuNeb»D, DzNfDDBuN, D¥%Pub¥%:DN..D%D D PYDY%NNNE - DN-bpupd'D°  N-DYD¥DIDuN,Du
Nep°N-N"D NeD N,NE D»D D+D¥% _var_calculate D»D D+D¥ D, NeD¢ D¥:D»NED-D¥:D2D°N,NE D D»Ns B'NENFDD N... NtBub»Dubt.

D3 B¢ Neb PYDUNENS BY¥D° D D°DY:DYND! DYDY:DY.DUbY:N, cl-assemble N,NEDUD+NfBUN, D¢ D% Nebub+Ne DYN,D BUb»NEDY:NfNZ
D¢D°NEND NtD NZ (D°N-N.D°N,D,, B° DYD7D§D+DEDE).

D+ N,p°PDBu Neb%D¥DTDuN,Bu N...NED°DYD N,NE NeboD¥:D»NED DY NfD3D¥D DYDY D2DUNEND D1 root-D¥:D2,

PNf B, PP%DDD° PNebu NeND¥% NeDDup»D°PUNDu - DeNEDYNNDY:  D¢NED PYD¥DY:ND NENFDINDu DN+
DY:PUP¥D+N...DYD D PYD¥bu PNfD'D° DY:D°D D% (N...D%NEPYNDNe N,NED°D-D° D¢ D¥UD»NfN1D D»D°NeNE), NeD Bub»D°DiN,Du
chroot 2 NeN,Nf NeD, NeN,DubvzNf. B, D2N<D¢ D¥D»D%:D N,y

<pre><code class="sh">

for d in /dev/sd[abcd]; do

cmd="grub2-install $d"

echo $cmd

$cmd

done

</code></pre>

DYD¥:DIDUD»D°DY:D Py B° NED°D-NED°DD¥N,N1D DD DY

DP-bYDubY%D N.bu NfN,D.D»D, NNf cl-install B¢ D¥D-D2D¥D»D D2 NfboD°D-ND2D°N,NE D%DUN-DD¥D»NEDD¥: NfNeN,NeDIDNeN D2
D¢ b¥%bD” mbr, NiN,D¥-N D% D2NEDYD D N,D°D°DY:D3D Y4

<p|‘e>

... --mbr /dev/sda,/dev/sdb,/dev/sdc,/dev/sdd

## D D»D, D'D°DIPu D»NfNiN"Bu N.D°D°

... --mbr=/dev/sda --mbr=/dev/sdb --mbr=/dev/sdc --mbr=/dev/sdd

## NeN, D% D¢ YD -D2D¥D»D, N, B, NeD¢ D¥:D»NED-D¥:D2D°N,NE "D»Dub¥:b D2ND" 2D°NED, D°D¥:N,

... --mbr=/dev/sd[abcd]

## DYNF D, (DY2D° D2NeN+D°D Dt NeD»NfND°D?) B B¥D»DIDuDY2 NED°D+D¥N,D°N,NE N,D°D°D¥:Dt D2D°NED, D°D¥:N,
.. --mbr=/dev/sda,/dev/sdb,/dev/sdc,/dev/sdd

</pre>

D+ N,D°P°DTDU D¢ NEDYNNED+D° NfDD°D-D°N,NE B2 D D¥D°NfDYDuDY:N,D°NTD,D, NeN,D, N,D¥:D%D°D¥NN,D, NfNeNDDY:D¥D2DoD,
DBY2b° mdadm/lvm

h3. PS

D—b°D+NP» NeboD°D-D°N,NE. B~ NeD Bub»D°D» N,D°D° D°P°P° B¥%D: D NeD°D» D2RNBu. Nf DYDubYsNe D2N«bu NED°D+D¥N,D°PuN,
D+bub- DP¢NEDYDD»DubYvs. D3 NeD'NeENf DPYD°D'DY% D'D¥%D+b°PD NNE D¢D°NED°DYDUN,NENC *dolvm domdadm*. B’
DeNeD PYNTD, Bebu NeND¥ NeD°DYiD¥: NebD¥:D+D¥%:D! NED°D-NfDYDUNZN%DUDUNeNe, DYDY BY%D° D2NeNepoD Bt NeD»NfNiD°D? -
NfD°D°D-ND2D°NZ

08/30/2011 01:51 pm - Mikhail Hiretsky

DYP¥D NEP¥D+NFDIN,Du NfNeND°D¥%:D¥D2D,N,NE D¢ D¥%N-D»Dub BY:D Bl calculate-utilities D¢ D¥%:D D' PUNEDTDOD®
NfNeR,DD%DYD2DD, B%BD° LVM D, RAID B¢D¥%ND2D D»D°NeNE Dv:D°NiD D¥%D°Ne Ne 2.2.20. D'D»Ne ND¥D3D¥, NENDID+N<
D¢ NEDYD D, NeD°N,NE grub2 B¥%D° B'D,Neb°, D'D Neb° D' DD»DIDuDY: Neb¥%:D DUNEDTD°N,NE N,D°D+D»D, NTNf NED°D-D Dub»D¥b2.
dolvm B, domdadm D°P2N,D¥%:D¥.D°N,D,N+DUNDD, B D¥%D+D°D2D»NeNZN,NeNo.

09/22/2011 08:54 am - Mikhail Hiretsky
- Status changed from New to Closed

11/02/2011 08:28 am - DeeD°P°Neb DY DiD¥%NEDYDD DYs

PDYbu  D¢PY%PY%D PYD°NZ. DipubiNiD°Ne ReN,D°D2D»NZ D2DuNeN-D,NZ 11.9. - DP°P¥%DY%N,D DNfNED°NtD N NEBUPD P°
DYDUND»D¥DIDY:D°Ne - 2 DIPuN-NpP°D N... DD NP°D° sdb B, sdc DB%D° DPY%DN.. NEP°DDDUb»N« DYD° D2N«bu
N+D2D¥:D+D¥:D DY:D¥:Du B¢ NEDYN+N,NED°DY:N-N,D2D¥: sdbl B, sdcl B, NeN,D¥%N, NEPUDD” 1 BY%D° BY:D N....

D¥P¥NENS B¢ D¥NN,D°D2D N,NE DY:D° NEPUDD” NeD NeN Dub¥Nf, B, D-D°D3NENfD-ND B0 D¢ NEDYD D Neb°N,NE D¥:D° DD DD N<DL
DD, Nepo.

D2DUNEND,Ne DY:DuN,D°D D°DY:DY:NN... - 0.90.

P2 clinstall D'D¥%D+D°D2D»NeNZ --mbr /dev/sdb /devisdc D.D»D, --mbr /dev/sdlb,c] - D2 DP¥%NDDuN, D¥%ND D+b°D° DY,
DYPUP°DYNENEDUDN,DY2DY:DYs B'D NeD°Pu D D»D, B¢ D°NED DYDUN,NED L.
DuND»D, D'D¥%D+D°D2D»NeNZ  NP°P° --mbr /devisdb --mbr /devisdc - NP¥% D2 RNeDD¥%D'DPu  D¢DUNEDUD’

D¢D¥%:D N.D2DUNEDTD BubY%:D DubYs  D3D¥D2DYUNED N,NeNe DY N,D¥:DYs, NiND¥:  D-D°P3NENfD-NiD.P°  DxNfD'BuN,
NfNeR,DD¥%D¥D2D»DubYs ND¥:D»NEDDY: DYD° sdc. DED°DC D¢ NED°D2D D»NEDY:DYs B NEDYD D, NeD°N,NE B¢ D°NED DYADUN,NEN?

D'Pub’ NE DNEDYD Dy DN« P°D°D° D2DUD-D Dy B*0¥%D2DYNED N,NeNe NiN,D¥: D¢ DD D DUNEDTDD° NfNeN D°DY:D¥D2D°D, BY:P° raid
DuNeN,NE. BNf B, Dxb°D? NeN,D¥%N, D-D°DNERN,. B"D»D, NeN,D¥%: D¢ DD NEDD-NfDY4DuD2D°DuN, N D¥D»NED DY DY¥D°D»D, NiD By

mdadm B¥2D° live cd?

Files

02._Dip¥%b-D'D°PY:_PYiD°NeND B2 5 NfNED¥D2DY:Ne.png 134.4 KB 08/20/2011 Db boN«D bV, DiD¥%NEDYDD DYs
08._DYD,b»b bY: NED°DD’_P2 fdisk.png 134.7 KB 08/20/2011 DD DoN+D bYs DiD¥%NEDYDD DYs
10._DiN,p°D?2D BY4_Calculate.png 179.7 KB 08/20/2011 DD boN+D bYs DiD¥%NEDYDD DYs
11._PYD¥%D N,D2DUNEDTD BubY:b Bu_b¢D°NED°PYDUN, NEDY.DLTREG KB 08/20/2011 DaEb°PN«D, DY, DiD¥%NEDYDD DY)
DENN,D°DY:D¥:D2D°D°_D3NENfD+D°_PYb°_P2Nebu_N...D°NED NE8Hm KB 08/20/2011 Daeb°PN«D, DY, DiD¥%NEDYDD DY)
N,Dubb» D¢ NeD, B-D°D3NENfD-B°Pu.png 7.1 KB 08/20/2011 Daeb°PN«D, DY, DiD¥%NEDYDD DY)
